# ApplicationFramework
TKLCAF
TDF

# TDF_AttributeIndexedMap Class Reference

`#include <TDF_AttributeIndexedMap.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | TDF_AttributeIndexedMap (const Standard_Integer NbBuckets=1)
Standard_EXPORT TDF_AttributeIndexedMap & | Assign (const TDF_AttributeIndexedMap &Other)
TDF_AttributeIndexedMap & | operator= (const TDF_AttributeIndexedMap &Other)
Standard_EXPORT void | ReSize (const Standard_Integer NbBuckets)
Standard_EXPORT void | Clear ()
| ~TDF_AttributeIndexedMap ()
Standard_EXPORT Standard_Integer | Add (const Handle(TDF_Attribute)&K)
Standard_EXPORT void | Substitute (const Standard_Integer I, const Handle(TDF_Attribute)&K)
Standard_EXPORT void | RemoveLast ()
Standard_EXPORT Standard_Boolean | Contains (const Handle(TDF_Attribute)&K) const
Standard_EXPORT const Handle_TDF_Attribute & | FindKey (const Standard_Integer I) const
const Handle_TDF_Attribute & | operator() (const Standard_Integer I) const
Standard_EXPORT Standard_Integer | FindIndex (const Handle(TDF_Attribute)&K) const

## Private Member Functions

Standard_EXPORT | TDF_AttributeIndexedMap (const TDF_AttributeIndexedMap &Other)

## Constructor & Destructor Documentation

Standard_EXPORT TDF_AttributeIndexedMap::TDF_AttributeIndexedMap | ( | const Standard_Integer | NbBuckets = `1` | ) |

TDF_AttributeIndexedMap::~TDF_AttributeIndexedMap | ( |  | ) | `[inline]`

Standard_EXPORT TDF_AttributeIndexedMap::TDF_AttributeIndexedMap | ( | const TDF_AttributeIndexedMap & | Other | ) | `[private]`

## Member Function Documentation

Standard_EXPORT Standard_Integer TDF_AttributeIndexedMap::Add | ( | const Handle(TDF_Attribute)& | K | ) |

Standard_EXPORT TDF_AttributeIndexedMap& TDF_AttributeIndexedMap::Assign | ( | const TDF_AttributeIndexedMap & | Other | ) |

Standard_EXPORT void TDF_AttributeIndexedMap::Clear | ( |  | ) |

Standard_EXPORT Standard_Boolean TDF_AttributeIndexedMap::Contains | ( | const Handle(TDF_Attribute)& | K | ) | const

Standard_EXPORT Standard_Integer TDF_AttributeIndexedMap::FindIndex | ( | const Handle(TDF_Attribute)& | K | ) | const

Standard_EXPORT const Handle_TDF_Attribute& TDF_AttributeIndexedMap::FindKey | ( | const Standard_Integer | I | ) | const

void TDF_AttributeIndexedMap::operator delete | ( | void * | anAddress | ) | `[inline]`

void* TDF_AttributeIndexedMap::operator new | ( | size_t | size | ) | `[inline]`

void* TDF_AttributeIndexedMap::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

const Handle_TDF_Attribute& TDF_AttributeIndexedMap::operator() | ( | const Standard_Integer | I | ) | const`[inline]`

TDF_AttributeIndexedMap& TDF_AttributeIndexedMap::operator= | ( | const TDF_AttributeIndexedMap & | Other | ) | `[inline]`

Standard_EXPORT void TDF_AttributeIndexedMap::RemoveLast | ( |  | ) |

Standard_EXPORT void TDF_AttributeIndexedMap::ReSize | ( | const Standard_Integer | NbBuckets | ) |

Standard_EXPORT void TDF_AttributeIndexedMap::Substitute | ( | const Standard_Integer | I,
|  | const Handle(TDF_Attribute)& | K
| ) |

The documentation for this class was generated from the following file:

- TDF_AttributeIndexedMap.hxx